---
lang: en
title: 'API docs: core.mountcomponent'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.core.mountcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [mountComponent](./core.mountcomponent.md)

## mountComponent() function

Mount a component to an Application.

<b>Signature:</b>

```typescript
export declare function mountComponent(app: Application, component: Component): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  app | <code>Application</code> | Application |
|  component | <code>Component</code> | Component instance |

<b>Returns:</b>

`void`


